Bug 35055 - VIEWING: background image covers paragraph shadow
Summary: VIEWING: background image covers paragraph shadow
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.1 release
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Images
  Show dependency treegraph
 
Reported: 2011-03-06 03:22 UTC by guilhem
Modified: 2018-11-16 03:42 UTC (History)
10 users (show)

See Also:
Crash report or crash signature:


Attachments
File example (85.26 KB, application/vnd.oasis.opendocument.text)
2011-03-06 03:22 UTC, guilhem
Details
problem illustrated (83.96 KB, image/png)
2011-03-06 03:23 UTC, guilhem
Details
Test kit, see Comment 2 (80.36 KB, application/x-zip-compressed)
2011-03-06 08:12 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description guilhem 2011-03-06 03:22:11 UTC
Created attachment 44164 [details]
File example

Problems arrive with an image set as "background" :
* When a paragraph is set with an border & shadow, shadow isn't see "over" the image
* When a paragraph is set with a background, background doesn't apply to the image.

*Last problem isn't VIEWING : when text is over the image, we can't select the text. We can place the cursor but impossible to select some text.

Theses problems apply to OO.o and LibreOffice
Comment 1 guilhem 2011-03-06 03:23:29 UTC
Created attachment 44165 [details]
problem illustrated
Comment 2 Rainer Bielefeld Retired 2011-03-06 08:10:32 UTC
Effect is [reproducible] with "LibreOffice 3.3.1  – WIN7  Home Premium  (64bit) English UI [OOO330m19 (build 8 / tag 3.3.1.2)]"

I created a test kit containing a text document "without frills":
- picture with green elements covers all text as expected
- UNEXPECTED: transparent gif picture with yellow elements and intransparent 
  png image with blue elements cover text paragraph shadow 

Bug or feature?
I believe it's a bug. When you create a shadow for the yellow elements image, you will see that the text paragraph shadow will be covered by the image shadow. how can the shadow of an element in the background of the text cover the shadow of an element in the foreground?

I believe it's the same problem for all platforms.

Was more or less the same behavior with OOo 1.1.4, so it seems to be a minor problem.

Cédric:
Really your area? Please feel free to reassign if I was wrong
Comment 3 Rainer Bielefeld Retired 2011-03-06 08:12:31 UTC
Created attachment 44177 [details]
Test kit, see Comment 2
Comment 4 fabio 2013-02-08 13:42:28 UTC
I confirm the latter problem pointed by Guilhelm, that is the fact that one can't select the text above the picture sent to back and it is still true for Libreoffice 3.5.4.2 on Ubuntu_x64. 
About the bad shadow overlap I guess probably this not a bug but a try to apply weird editing logic, as is: if a paragraph drop a plain shadow means is not transparent so trying to put an image below the text is similar to put under a plain sheet of paper, therefore we could not see it.
Comment 5 bfoman (inactive) 2014-02-20 18:15:51 UTC
This bug is confirmed but unowned - back to NEW.
Comment 6 tommy27 2014-07-18 19:33:09 UTC
still reproducible with LibO 4.2.5.2 and 4.4.0.0.alpha0+ (*)

(*) Build ID: abc28ffc04067eb24840fbf564c311aaee10f84d
TinderBox: Win-x86@42, Branch:master, Time: 2014-07-15_07:20:05
Comment 7 QA Administrators 2015-09-04 02:47:55 UTC Comment hidden (obsolete)
Comment 8 Buovjaga 2015-11-18 11:20:45 UTC
Still confirmed comment 2.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: b216cc1b8096eb60c27f67e8c27b7cd756c75e38
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-11-12_00:06:20
Locale: fi-FI (fi_FI)
Comment 9 QA Administrators 2017-01-03 19:35:39 UTC Comment hidden (obsolete)
Comment 10 tommy27 2017-01-03 22:52:36 UTC
bug still present in LibO 5.2.4.2 and 5.4.0.0 alpha
Comment 11 QA Administrators 2018-11-16 03:42:21 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug